Package com.massivecraft.factions.cmd

## Class CommandRequirements

- java.lang.Object
- - com.massivecraft.factions.cmd.CommandRequirements

    public class CommandRequirements
    extends java.lang.Object

### Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `CommandRequirements.Builder` |

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`PermissableAction` | `action` |
`java.lang.Class<? extends BrigadierProvider>` | `brigadier` |
`boolean` | `disableOnLock` |
`boolean` | `errorOnManyArgs` |
`boolean` | `memberOnly` |
`Permission` | `permission` |
`boolean` | `playerOnly` |
`Role` | `role` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `computeRequirements​(CommandContext context, boolean informIfNot)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### permission

    public Permission permission

#### playerOnly

    public boolean playerOnly

#### memberOnly

    public boolean memberOnly

#### role

    public Role role

#### action

    public PermissableAction action

#### brigadier

    public java.lang.Class<? extends BrigadierProvider> brigadier

#### errorOnManyArgs

    public boolean errorOnManyArgs

#### disableOnLock

    public boolean disableOnLock

### Method Detail

#### computeRequirements

    public boolean computeRequirements​(CommandContext context,
                                       boolean informIfNot)